Package bitel.billing.server.contract.bean

# Class PaymentManager

java.lang.Object
bitel.billing.server.contract.bean.PaymentManager

public class PaymentManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `deletePayment(int id)`
  Удаление платежа по коду
  `void`
  `deletePaymentsById(String idList)`
  `Payment`
  `getPaymentById(int id)`
  Возвращает платеж по коду.
  `Payment`
  `getPaymentByID(int id)`
  Deprecated.
  `List<Payment>`
  `getPaymentList(int contractId)`
  Возвращает список платежей для договора отсортированный по дате
  `List<Payment>`
  `getPaymentList(int contractId, Calendar date1, Calendar date2)`
  Deprecated.
  `List<Payment>`
  `getPaymentList(int contractId, Period period)`
  Возвращает список платежей за период для договора отсортированный по дате
  `List<Payment>`
  `getPaymentsById(String idList)`
  `void`
  `updatePayment(String id, Payment payment)`
  Deprecated.
  `void`
  `updatePayment(Payment payment)`
  Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() invalid input: '<' 0)
  `void`
  `zeroBalancePayment(Calendar date, int contractId, int paymentTypeId)`
  Deprecated.
  `void`
  `zeroBalancePayment(Date date, int contractId, int paymentTypeId)`
  Обнуление баланса с помощью виртуального платежа.
  `void`
  `zeroBalancePayment(Date date, int contractId, int paymentTypeId, String paymentComment)`
  Обнуление баланса с помощью виртуального платежа

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaymentManager

    public PaymentManager(Connection con)

- ## Method Details

  - ### getPaymentList

    public List<Payment> getPaymentList(int contractId) throws SQLException
    Возвращает список платежей для договора отсортированный по дате
    Parameters:
      `contractId` - код договора
    Returns:
      список платежей, если платежей нет, возвращает пустой список
    Throws:
      `SQLException`

  - ### getPaymentList

    public List<Payment> getPaymentList(int contractId, Period period) throws SQLException
    Возвращает список платежей за период для договора отсортированный по дате
    Parameters:
      `contractId` - код договора
      `period` - период, null - все платежи
    Returns:
      список платежей, если платежей нет, возвращает пустой список
    Throws:
      `SQLException`

  - ### updatePayment

    public void updatePayment(Payment payment) throws ru.bitel.bgbilling.common.BGException
    Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() invalid input: '<' 0)
    Parameters:
      `payment` - объект с данными платежа
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentById

    public Payment getPaymentById(int id) throws ru.bitel.bgbilling.common.BGException
    Возвращает платеж по коду.
    Parameters:
      `id` - код платежа
    Returns:
      платеж или null если не найден
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deletePayment

    public boolean deletePayment(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление платежа по коду
    Parameters:
      `id` - код платежа
    Returns:
      true - платеж удален, false - иначе
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### zeroBalancePayment

    public void zeroBalancePayment(Date date, int contractId, int paymentTypeId) throws ru.bitel.bgbilling.common.BGException
    Обнуление баланса с помощью виртуального платежа. Комментарий платежа "Виртуальный платеж для обнуления баланса"
    Parameters:
      `date` - дата платежа
      `contractId` - код договора
      `paymentTypeId` - код типа платежа
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### zeroBalancePayment

    public void zeroBalancePayment(Date date, int contractId, int paymentTypeId, String paymentComment) throws ru.bitel.bgbilling.common.BGException
    Обнуление баланса с помощью виртуального платежа
    Parameters:
      `date` - дата платежа
      `contractId` - код договора
      `paymentTypeId` - код типа платежа
      `paymentComment` - комментарий платежа
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentsById

    public List<Payment> getPaymentsById(String idList) throws SQLException
    Throws:
      `SQLException`

  - ### deletePaymentsById

    public void deletePaymentsById(String idList) throws SQLException
    Throws:
      `SQLException`

  - ### zeroBalancePayment

    @Deprecated public void zeroBalancePayment(Calendar date, int contractId, int paymentTypeId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `zeroBalancePayment(Date, int, int, String)` или `zeroBalancePayment(Date, int, int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentList

    @Deprecated public List<Payment> getPaymentList(int contractId, Calendar date1, Calendar date2) throws SQLException
    Deprecated.
    Использовать `getPaymentList(int, Period)`.
    Throws:
      `SQLException`

  - ### updatePayment

    @Deprecated public void updatePayment(String id, Payment payment) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `updatePayment(Payment)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentByID

    @Deprecated public Payment getPaymentByID(int id) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `getPaymentById(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`